[arch-commits] Commit in mercurial/trunk (PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Wed Dec 2 16:19:17 EST 2009


    Date: Wednesday, December 2, 2009 @ 16:19:16
  Author: giovanni
Revision: 60291

upgpkg: mercurial 1.4.1-4
    Fixed - Python packaging policy

Modified:
  mercurial/trunk/PKGBUILD

----------+
 PKGBUILD |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-02 21:09:06 UTC (rev 60290)
+++ PKGBUILD	2009-12-02 21:19:16 UTC (rev 60291)
@@ -4,7 +4,7 @@
 
 pkgname=mercurial
 pkgver=1.4.1
-pkgrel=3
+pkgrel=4
 pkgdesc="A scalable distributed SCM tool"
 arch=('i686' 'x86_64')
 url="http://www.selenic.com/mercurial"
@@ -16,8 +16,7 @@
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  python setup.py build
-  python setup.py install --skip-build --root="${pkgdir}/" || return 1
+  python setup.py install --root="${pkgdir}/" --optimize=1 || return 1
 
   install -d ${pkgdir}/usr/share/man/{man1,man5}
   install -m644 doc/hg.1 "${pkgdir}/usr/share/man/man1" || return 1



More information about the arch-commits mailing list